Feature # 2784 (Closed): Ability to read multiple works

Add second work to the search URL

07/11/2020 01:24 AM - Luke Murphey

Status: Closed Start date: 07/10/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 4.4.0   

Description

History

#1 - 07/11/2020 06:48 AM - Luke Murphey

Done The page is loaded (/work/berean-study-bible/Luke/2/12?parallel=new-testament)

Done A verse is clicked

Done The next/previous chapter buttons are clicked

Done Going back through the history (and second work is dropped when you go back to a URL where the second work is not included)

Done Parallel work is closed (URL argument is dropped)

Done A non-parallel work is chosen

#2 - 07/12/2020 02:10 AM - Luke Murphey

Prob: Going back through the history (and second work is dropped when you go back to a URL where the second work is not included)

Qs:

How does not avoid this? The URL monitoring is part of state. You are supposed to react to the change of state.

https://github.com/airbnb/javascript/issues/1875

What condition is causing the loops?

Is the loading of the second work

loadSecondWorkChapter() calls setState

[determined] What is a minimal repro?

Load a parallel work, then press back

Obs:

Adding loading of the second work in componentDidUpdate results in endless calls

componentDidUpdate() does get called when the URL changes

Solns:
https://github.com/airbnb/javascript/issues/1875


#3 - 07/12/2020 02:17 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100

Powered by TCPDF (www.tcpdf.org)

05/01/2024 2/2

http://www.tcpdf.org

